Consider changing getVersionBySelf() in functions.inc.php to use REQUEST_URI instead of PHP_SELF

RESOLVED FIXED

Status

www.mozilla.org
General
RESOLVED FIXED
7 years ago
5 years ago

People

(Reporter: christian, Assigned: abuchanan)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

7 years ago
Consider changing getVersionBySelf() in functions.inc.php to use REQUEST_URI instead of PHP_SELF.

I want to point all 3.6.x whatsnew to the 3.6 version. The problem is, because we use PHP_SELF it sees where the 3.6 version is located and never says a user is on the latest build. I am working around it by copying the files from 3.6 into 3.6.x.

This is less than ideal.
Assignee: nobody → abuchanan
(Reporter)

Comment 1

7 years ago
I wrote this bug instead of changing it myself as I am not sure what else relies on the current behavior.
l10n whatsnew pages rely on this function but I don't think your proposed change would impact their logic, we can test that on trunk after 3.6.4 is out I guess.
tested with locales and done in r70217
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
Component: www.mozilla.org/firefox → www.mozilla.org
Product: Websites → Websites
Component: www.mozilla.org → General
Product: Websites → www.mozilla.org
You need to log in before you can comment on or make changes to this bug.